<div class='card icon-set-card border-0 bg-transparent'>
  <CardCover @fallbackHash={{@iconSet.hashBg}} @pictures={{this.pictures}} @size='sm' @onClick={{this.click}} />

  <div class='card-body p-0 pt-2'>
    {{#if @iconSet.canEdit}}
      <div class='dropdown float-end' {{did-insert this.setupOptions}}>
        <button class='btn btn-white btn-extend ps-0 pe-0' type='button' id='{{this.elementId}}-dropdown' {{on 'click' this.showOptions}} data-toggle='dropdown' aria-haspopup='true' aria-expanded='false'>
          <FaIcon @icon='ellipsis-h' />
        </button>

        <div class='dropdown-menu {{if this.showingOptions "show"}}' aria-labelledby='{{this.elementId}}-dropdown'>
          <ModelActions::Record @record={{@iconSet}} />

          {{#if @onDelete}}
            <div class='dropdown-divider'></div>

            <button type='button' class='dropdown-item text-start btn-delete text-danger' {{on 'click' (fn @onDelete @iconSet)}}>
              <FaIcon @icon='trash' />
              {{capitalize (t 'delete')}}
            </button>
          {{/if}}
        </div>
      </div>
    {{/if}}

    <LinkTo @route='browse.icons.set' @model={{@iconSet.id}} class='icon-set-name font-weight-bold' {{did-insert this.linkRendered}}>
      {{@iconSet.name}}
    </LinkTo>

    <VisibilityIcon @value={{@iconSet.visibility.isPublic}} />

    <div class='icon-set-description'>
      <Article::FirstParagraph @contentBlocks={{@iconSet.contentBlocks}} />
    </div>
  </div>
</div>